SQLite3Stmt::paramCount
SQLite3Result
SQLite3Stmt
PHP Manual

# SQLite3Stmt::reset

(PHP 5 >= 5.3.0)

SQLite3Stmt::reset — Resets the prepared statement

### Description

public bool SQLite3Stmt::reset ( void )

Resets the prepared statement to its state prior to execution. All bindings remain intact after reset.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the statement is successfully reset, `FALSE` on failure.

SQLite3Stmt::paramCount
SQLite3Result
SQLite3Stmt
PHP Manual